Uploaded image for project: 'Jalview'
  1. Jalview
  2. JAL-3923

Migrate CI coverage for test builds from openclover to a Java11+ compatible coverage tool

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Open
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: None
    • Labels:
      None

      Description

      OpenClover (https://github.com/openclover/clover) does not currently have support for Java 11+ source & bytecode compatibility, which means we can no longer use it for Jalview 2.12 onwards.

      We need to:

      1. look around for a suitable alternative (JaCoCo looks like it is being used by other projects for coverage, however its reports do not directly integrate with Bamboo. )
      2. Decide if its worth migrating to the alternative, or instead dropping coverage from the CI build alltogether.

        Attachments

          Activity

            People

            Assignee:
            jprocter Jim Procter
            Reporter:
            jprocter Jim Procter
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated: